==id $Id: alib_lib.sfd,v 30.0 1994/06/10 18:09:49 dice Exp $
* "amiga.lib"
* These prototypes are for functions in the amiga.lib link-library.
==base _None
==bias 30
==public
==include <exec/types.h>
==include <devices/timer.h>
==include <devices/keymap.h>
==include <libraries/commodities.h>
==include <utility/hooks.h>
==include <intuition/classes.h>
==include <intuition/classusr.h>
==include <graphics/graphint.h>
*
*  Exec support functions
*
VOID BeginIO(struct IORequest *ioReq)				(A0)
struct IORequest *CreateExtIO(struct MsgPort *port, LONG ioSize)(A0,D0)
struct MsgPort *CreatePort(STRPTR name, LONG pri)		(A0,D0)
struct IOStdReq *CreateStdIO(struct MsgPort *port)		(A0)
struct Task *CreateTask(STRPTR name, LONG pri, APTR initPC, ULONG stackSize)	(A0,D0,A1,D1)
VOID DeleteExtIO(struct IORequest *ioReq)			(A0)
VOID DeletePort(struct MsgPort *ioReq)				(A0)
VOID DeleteStdIO(struct IOStdReq *ioReq)			(A0)
VOID DeleteTask(struct Task *task)				(A0)
VOID NewList(struct List *list)					(A0)

APTR LibAllocPooled(APTR poolHeader, ULONG memSize)			(a0,d0)
APTR LibCreatePool(ULONG memFlags, ULONG puddleSize, ULONG threshSize)	(d0,d1,d2)
VOID LibDeletePool(APTR poolHeader)					(a0)
VOID LibFreePooled(APTR poolHeader, APTR memory, ULONG memSize)		(a0,a1,d0)
*
* Assorted functions in amiga.lib
*
ULONG FastRand(ULONG seed)			(D0)
UWORD RangeRand(ULONG maxValue)			(D0)
*
* Graphics support functions in amiga.lib
*
VOID	AddTOF(struct Isrvstr *i, LONG (*p)(), LONG a)		(A0,A1,D0)
VOID	RemTOF(struct Isrvstr *i)				(A0)
VOID	waitbeam(LONG b)					(D0)
*
* math support functions in amiga.lib
*
FLOAT	afp(BYTE *string)					(A0)
VOID	arnd(LONG place, LONG exp, BYTE *string)		(D0,D1,A0)
FLOAT	dbf(UWORD exp, ULONG mant)				(D0,D1)
LONG	fpa(FLOAT fnum, BYTE *string)				(D0,A0)
VOID	fpbcd(FLOAT fnum, BYTE *string)				(D0,A0)
*
* Timer support functions in amiga.lib (V36 and higher only)
*
LONG	TimeDelay(LONG unit, ULONG secs, ULONG microsecs)	(D0,D1,D2)
LONG	DoTimer(struct timeval *, LONG unit, WORD command)	(A0,D0,D1)

*
*  Commodities functions in amiga.lib (V36 and higher only)
*
VOID ArgArrayDone()()
UBYTE **ArgArrayInit(LONG argc,UBYTE **argv)(A0,A1)
LONG ArgInt(UBYTE **tt,STRPTR entry,LONG defaultval)(A0,A1,D0)
STRPTR ArgString(UBYTE **tt,STRPTR entry,STRPTR defaulstring)(A0,A1,A2)
CxObj *HotKey(STRPTR description,struct MsgPort *port, LONG id)(A0,A1,D0)
struct InputEvent *InvertString(STRPTR str,struct KeyMap *km)(A0,A1)
VOID FreeIEvents(struct InputEvent *events)(A0)

*
* Commodities Macros
*
* CxObj *CxCustom(LONG(*)(),LONG id)(A0,D0)
* CxObj *CxDebug(LONG id)(D0)
* CxObj *CxFilter(STRPTR description)(A0)
* CxObj *CxSender(struct MsgPort *port,LONG id)(A0,D0)
* CxObj *CxSignal(struct Task *task,LONG signal)(A0,D0)
* CxObj *CxTranslate(struct InputEvent *ie)(A0)
*
*  ARexx support functions in amiga.lib
*
BOOL CheckRexxMsg(struct Message *rexxmsg)	(a0)
LONG GetRexxVar(struct Message *rexxmsg,UBYTE *name,UBYTE **result)  (a0,a1,d0)
LONG SetRexxVar(struct Message *rexxmsg,UBYTE *name,UBYTE *value,LONG length) (a0,a1,d0,d1)

*
*  Intuition hook and boopsi support functions in amiga.lib.
*  These functions do not require any particular ROM revision
*  to operate correctly, though they deal with concepts first introduced
*  in V36.  These functions would work with compatibly-implemented
*  hooks or objects under V34.
*
ULONG CallHookA( struct Hook *hookPtr, Object *obj, APTR message ) (A0,A2,A1)
==varargs
ULONG CallHook( struct Hook *hookPtr, Object *obj, ... ) (A0,A2,A1)

ULONG DoMethodA( Object *obj, Msg message ) (A2,A1)
==varargs
ULONG DoMethod( Object *obj, ULONG MethodID, ... ) (A2,A1)

ULONG DoSuperMethodA( struct IClass *cl, Object *obj, Msg message ) (A0,A2,A1)
==varargs
ULONG DoSuperMethod( struct IClass *cl, Object *obj, ULONG MethodID, ... ) (A0,A2,A1)

ULONG CoerceMethodA( struct IClass *cl, Object *obj, Msg message ) (A0,A2,A1)
==varargs
ULONG CoerceMethod( struct IClass *cl, Object *obj, ULONG MethodID, ... ) (A0,A2,A1)

==private
* Note that SetSuperAttrs() does not have a regargs equivalent.
* See amiga_lib.doc for the trivial invocation of the regargs version.
==public
==varargs
ULONG SetSuperAttrs( struct IClass *cl, Object *obj, ULONG Tag1, ... ) (A0,A2,A1)
*
*  Network-support functions in amiga.lib.
*  ACrypt() first appeared in later V39 versions of amiga.lib, but
*  operates correctly under V37 and up.
*

STRPTR ACrypt( STRPTR buffer, STRPTR password, STRPTR username ) (A0,A1,A2)
==end
